/*----------------------------------------------------------------------------
 * CMSIS-RTOS 'main' function template
 *---------------------------------------------------------------------------*/
 
#include "RTE_Components.h"
#include  CMSIS_device_header
#include "cmsis_os2.h"
 
#ifdef RTE_Compiler_EventRecorder
#include "EventRecorder.h"
#endif

extern int Init_Timers (void);
	
/*----------------------------------------------------------------------------
 * Application main thread
 *---------------------------------------------------------------------------*/
volatile unsigned int counter;

void app_main (void *argument) {
	Init_Timers ();                       // Initalize User Timers
  for (;;) {
	  counter++;
		osDelay (50);
	}
}
 
int main (void) {
 
  // System Initialization
  SystemCoreClockUpdate();

  osKernelInitialize();                 // Initialize CMSIS-RTOS
  osThreadNew(app_main, NULL, NULL);    // Create application main thread
  osKernelStart();                      // Start thread execution
  for (;;) {}
}
