/*------------------------------------------------------------------------------
 * MyComponent - demo example
 * Copyright (c) 2016 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    main.c for MCB1800
 * Purpose: Example showing the usage of Software Component Views in MDK
 * Rev.:    V1.0.1
 *----------------------------------------------------------------------------*/

#include <stdint.h>
#include <stdio.h>
 
#include "cmsis_os2.h"                  // ARM::CMSIS:RTOS2:Keil RTX5
 
#include "MyEventComponent.h"
#include "EventRecorder.h"              // Keil::Compiler:Event Recorder
 
#include "ARMCM3.h"                     // Device header


char *name1 = "MyName1";
char *name2 = "MyName2";

osThreadId_t event_state1_id;
osThreadId_t event_state2_id;

int main (void) {

  EventRecorderInitialize (EventRecordAll, 1);  // initialize and start Event Recorder

  osKernelInitialize();                         // initialize CMSIS-RTOS
	event_state_init ();                          // initialize event state machine
  event_state1_id = osThreadNew(event_state, name1 /* "Instance 1" */, NULL);
  event_state2_id = osThreadNew(event_state, name2 /* "Instance 2" */, NULL);
  osKernelStart ();
}
